package com.ruoyi.project.asset.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.asset.mapper.TSpecdevMainMapper;
import com.ruoyi.project.asset.domain.TSpecdevMain;
import com.ruoyi.project.asset.service.ITSpecdevMainService;

/**
 * 设备总Service业务层处理
 *
 * @author ruoyi
 * @date 2022-10-09
 */
@Service
public class TSpecdevMainServiceImpl implements ITSpecdevMainService
{
    @Autowired
    private TSpecdevMainMapper tSpecdevMainMapper;

    /**
     * 查询设备总
     *
     * @param id 设备总ID
     * @return 设备总
     */
    @Override
    public TSpecdevMain selectTSpecdevMainById(Long id)
    {
        return tSpecdevMainMapper.selectTSpecdevMainById(id);
    }

    /**
     * 查询设备总列表
     *
     * @param tSpecdevMain 设备总
     * @return 设备总
     */
    @Override
    public List<TSpecdevMain> selectTSpecdevMainList(TSpecdevMain tSpecdevMain)
    {
        return tSpecdevMainMapper.selectTSpecdevMainList(tSpecdevMain);
    }

    /**
     * 新增设备总
     *
     * @param tSpecdevMain 设备总
     * @return 结果
     */
    @Override
    public int insertTSpecdevMain(TSpecdevMain tSpecdevMain)
    {
        return tSpecdevMainMapper.insertTSpecdevMain(tSpecdevMain);
    }

    /**
     * 修改设备总
     *
     * @param tSpecdevMain 设备总
     * @return 结果
     */
    @Override
    public int updateTSpecdevMain(TSpecdevMain tSpecdevMain)
    {
        return tSpecdevMainMapper.updateTSpecdevMain(tSpecdevMain);
    }

    /**
     * 批量删除设备总
     *
     * @param ids 需要删除的设备总ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevMainByIds(Long[] ids)
    {
        return tSpecdevMainMapper.deleteTSpecdevMainByIds(ids);
    }

    /**
     * 删除设备总信息
     *
     * @param id 设备总ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevMainById(Long id)
    {
        return tSpecdevMainMapper.deleteTSpecdevMainById(id);
    }
}
